Commit 785253c7 authored by rakuco's avatar rakuco
Browse files

devel/gwenhywfar:

- Repocopy devel/gwenhywfar to devel/gwenhywfar-{fox16,gtk2,qt4}.
- devel/gwenhywfar is now a master port and new slave ports will allow the
  user to install the GUI libraries separately. This will make packaging
  easier for finance/gnucash and finance/kmymoney-kde4.

finance/aqbanking:
- finance/aqbanking has been updated to 5.0.25 and includes a shlib bump, so
  instead of making the user rebuild twice it is included here.
- Shlib bump aqbanking.33 -> aqbanking.34.
- Fix LICENSE.
- Convert to new OPTIONS framework.

finance/gnucash:
- Adjust LIB_DEPENDS for AQBANKING option so they are installed in the
  correct order.
- Drop unneeded LICENSE_FILE.
- Drop ABI version numbers from all LIB_DEPENDS (if you really want to keep
  them, at least keep the LIB_DEPENDS in the order I changed them to since
  aqbanking should be built last. Also aqbanking.33 -> aqbanking.34).
- Remove BROKEN message now that the dependency problem is solved.

finance/kmymoney-kde4:
- Convert to new OPTIONS framework.
- Drop WITH_* from PLIST_SUB.
- Drop ABI version numbers from all LIB_DEPENDS.
- Add USE_PKGCONFIG=build.
- Remove IGNORE message now that the dependency problem is solved.

Also clean up the header for the touched Makefiles.

PR:		ports/170492
Submitted by:   Jason E. Hale <bsdkaffee@gmail.com> (maintainer)
parent 9da4e10e
......@@ -560,6 +560,9 @@
SUBDIR += guiloader-c++
SUBDIR += gvfs
SUBDIR += gwenhywfar
SUBDIR += gwenhywfar-fox16
SUBDIR += gwenhywfar-gtk2
SUBDIR += gwenhywfar-qt4
SUBDIR += gzstream
SUBDIR += hachoir-core
SUBDIR += hachoir-parser
......
# $FreeBSD$
PORTNAME= gwenhywfar
PORTVERSION= 4.3.3
PORTREVISION= 1
CATEGORIES= devel net security
MASTER_SITES= http://www.aquamaniac.de/sites/download/download.php?package=01&release=67&file=01&dummy=/
MAINTAINER= bsdkaffee@gmail.com
COMMENT= Multi-platform helper library for networking and security applications
LICENSE= LGPL21
LICENSE_FILE= ${WRKSRC}/COPYING
LIB_DEPENDS= gcrypt.18:${PORTSDIR}/security/libgcrypt \
gnutls.47:${PORTSDIR}/security/gnutls
USE_GMAKE= yes
USE_GETTEXT= yes
USE_OPENSSL= yes
USE_AUTOTOOLS= libtool
USE_GNOME= gnomehack pkgconfig
OPTIONS= APIDOC "Full API documentation (requires Doxygen)" off \
MEMDEBUG "Enable memory debugger statistic" off \
FOX16 "Build FOX 1.6 GUI" off \
GTK2 "Build GTK 2.x GUI (for GnuCash)" on \
QT4 "Build Qt 4.x GUI (for KMyMoney)" on
GNU_CONFIGURE= yes
CONFIGURE_ARGS= --enable-release="yes" \
--with-guis="${_GWEN_GUIS}"
CPPFLAGS+= -I${LOCALBASE}/include ${PTHREAD_CFLAGS}
LDFLAGS+= -L${LOCALBASE}/lib ${PTHREAD_LIBS}
MAKE_JOBS_SAFE= yes
PLIST_SUB= GWEN_SHLIB_VER="${GWEN_SHLIB_VER}"
USE_LDCONFIG= yes
GWEN_SHLIB_VER= 60
.include <bsd.port.options.mk>
.if !defined(NOPORTDOCS) && defined(WITH_APIDOC)
BUILD_DEPENDS+= doxygen:${PORTSDIR}/devel/doxygen \
dot:${PORTSDIR}/graphics/graphviz
CONFIGURE_ARGS+=--enable-full-doc
PORTDOCS= apidoc
.endif
.if defined(WITH_MEMDEBUG)
CONFIGURE_ARGS+=--enable-memtrace
.endif
.if defined(WITH_FOX16)
LIB_DEPENDS+= FOX-1.6:${PORTSDIR}/x11-toolkits/fox16
PLIST_SUB+= WITH_FOX16=""
_GWEN_GUIS+= fox16
.else
PLIST_SUB+= WITH_FOX16="@comment "
.endif
.if defined(WITH_GTK2)
USE_GNOME+= gtk20
PLIST_SUB+= WITH_GTK2=""
_GWEN_GUIS+= gtk2
.else
PLIST_SUB+= WITH_GTK2="@comment "
.endif
.if defined(WITH_QT4)
USE_QT4= gui moc_build uic_build
QT_NONSTANDARD= yes
PLIST_SUB+= WITH_QT4=""
_GWEN_GUIS+= qt4
.else
PLIST_SUB+= WITH_QT4="@comment "
.endif
post-build:
.if !defined(NOPORTDOCS) && defined(WITH_APIDOC)
@cd ${WRKSRC} && ${GMAKE} srcdoc
.endif
post-install:
.if !defined(NOPORTDOCS) && defined(WITH_APIDOC)
${MKDIR} ${DOCSDIR}/apidoc
cd ${WRKSRC}/apidoc && \
${COPYTREE_SHARE} \* ${DOCSDIR}/apidoc
.endif
.include <bsd.port.mk>
include/gwenhywfar4/gwen-gui-fox16/api.h
include/gwenhywfar4/gwen-gui-fox16/cppdialog.hpp
include/gwenhywfar4/gwen-gui-fox16/cppgui.hpp
include/gwenhywfar4/gwen-gui-fox16/fox16_gui.hpp
include/gwenhywfar4/gwen-gui-fox16/fox16_htmlctx.hpp
include/gwenhywfar4/gwen-gui-fox16/fox16_htmllabel.hpp
include/gwenhywfar4/gwen-gui-fox16/fox16_htmltext.hpp
include/gwenhywfar4/gwen-gui-fox16/theme.h
lib/libgwengui-fox16.a
lib/libgwengui-fox16.la
lib/libgwengui-fox16.so
lib/libgwengui-fox16.so.0
libdata/pkgconfig/gwengui-fox16.pc
@dirrm include/gwenhywfar4/gwen-gui-fox16
# $FreeBSD$
PORTNAME= gwenhywfar
PORTVERSION= 4.3.3
PORTREVISION= 1
CATEGORIES= devel net security
MASTER_SITES= http://www.aquamaniac.de/sites/download/download.php?package=01&release=67&file=01&dummy=/
MAINTAINER= bsdkaffee@gmail.com
COMMENT= Multi-platform helper library for networking and security applications
LICENSE= LGPL21
LICENSE_FILE= ${WRKSRC}/COPYING
LIB_DEPENDS= gcrypt.18:${PORTSDIR}/security/libgcrypt \
gnutls.47:${PORTSDIR}/security/gnutls
USE_GMAKE= yes
USE_GETTEXT= yes
USE_OPENSSL= yes
USE_AUTOTOOLS= libtool
USE_GNOME= gnomehack pkgconfig
OPTIONS= APIDOC "Full API documentation (requires Doxygen)" off \
MEMDEBUG "Enable memory debugger statistic" off \
FOX16 "Build FOX 1.6 GUI" off \
GTK2 "Build GTK 2.x GUI (for GnuCash)" on \
QT4 "Build Qt 4.x GUI (for KMyMoney)" on
GNU_CONFIGURE= yes
CONFIGURE_ARGS= --enable-release="yes" \
--with-guis="${_GWEN_GUIS}"
CPPFLAGS+= -I${LOCALBASE}/include ${PTHREAD_CFLAGS}
LDFLAGS+= -L${LOCALBASE}/lib ${PTHREAD_LIBS}
MAKE_JOBS_SAFE= yes
PLIST_SUB= GWEN_SHLIB_VER="${GWEN_SHLIB_VER}"
USE_LDCONFIG= yes
GWEN_SHLIB_VER= 60
.include <bsd.port.options.mk>
.if !defined(NOPORTDOCS) && defined(WITH_APIDOC)
BUILD_DEPENDS+= doxygen:${PORTSDIR}/devel/doxygen \
dot:${PORTSDIR}/graphics/graphviz
CONFIGURE_ARGS+=--enable-full-doc
PORTDOCS= apidoc
.endif
.if defined(WITH_MEMDEBUG)
CONFIGURE_ARGS+=--enable-memtrace
.endif
.if defined(WITH_FOX16)
LIB_DEPENDS+= FOX-1.6:${PORTSDIR}/x11-toolkits/fox16
PLIST_SUB+= WITH_FOX16=""
_GWEN_GUIS+= fox16
.else
PLIST_SUB+= WITH_FOX16="@comment "
.endif
.if defined(WITH_GTK2)
USE_GNOME+= gtk20
PLIST_SUB+= WITH_GTK2=""
_GWEN_GUIS+= gtk2
.else
PLIST_SUB+= WITH_GTK2="@comment "
.endif
.if defined(WITH_QT4)
USE_QT4= gui moc_build uic_build
QT_NONSTANDARD= yes
PLIST_SUB+= WITH_QT4=""
_GWEN_GUIS+= qt4
.else
PLIST_SUB+= WITH_QT4="@comment "
.endif
post-build:
.if !defined(NOPORTDOCS) && defined(WITH_APIDOC)
@cd ${WRKSRC} && ${GMAKE} srcdoc
.endif
post-install:
.if !defined(NOPORTDOCS) && defined(WITH_APIDOC)
${MKDIR} ${DOCSDIR}/apidoc
cd ${WRKSRC}/apidoc && \
${COPYTREE_SHARE} \* ${DOCSDIR}/apidoc
.endif
.include <bsd.port.mk>
include/gwenhywfar4/gwen-gui-gtk2/gtk2_gui.h
lib/libgwengui-gtk2.a
lib/libgwengui-gtk2.la
lib/libgwengui-gtk2.so
lib/libgwengui-gtk2.so.0
libdata/pkgconfig/gwengui-gtk2.pc
@dirrm include/gwenhywfar4/gwen-gui-gtk2
# $FreeBSD$
PORTNAME= gwenhywfar
PORTVERSION= 4.3.3
PORTREVISION= 1
CATEGORIES= devel net security
MASTER_SITES= http://www.aquamaniac.de/sites/download/download.php?package=01&release=67&file=01&dummy=/
MAINTAINER= bsdkaffee@gmail.com
COMMENT= Multi-platform helper library for networking and security applications
LICENSE= LGPL21
LICENSE_FILE= ${WRKSRC}/COPYING
LIB_DEPENDS= gcrypt.18:${PORTSDIR}/security/libgcrypt \
gnutls.47:${PORTSDIR}/security/gnutls
USE_GMAKE= yes
USE_GETTEXT= yes
USE_OPENSSL= yes
USE_AUTOTOOLS= libtool
USE_GNOME= gnomehack pkgconfig
OPTIONS= APIDOC "Full API documentation (requires Doxygen)" off \
MEMDEBUG "Enable memory debugger statistic" off \
FOX16 "Build FOX 1.6 GUI" off \
GTK2 "Build GTK 2.x GUI (for GnuCash)" on \
QT4 "Build Qt 4.x GUI (for KMyMoney)" on
GNU_CONFIGURE= yes
CONFIGURE_ARGS= --enable-release="yes" \
--with-guis="${_GWEN_GUIS}"
CPPFLAGS+= -I${LOCALBASE}/include ${PTHREAD_CFLAGS}
LDFLAGS+= -L${LOCALBASE}/lib ${PTHREAD_LIBS}
MAKE_JOBS_SAFE= yes
PLIST_SUB= GWEN_SHLIB_VER="${GWEN_SHLIB_VER}"
USE_LDCONFIG= yes
GWEN_SHLIB_VER= 60
.include <bsd.port.options.mk>
.if !defined(NOPORTDOCS) && defined(WITH_APIDOC)
BUILD_DEPENDS+= doxygen:${PORTSDIR}/devel/doxygen \
dot:${PORTSDIR}/graphics/graphviz
CONFIGURE_ARGS+=--enable-full-doc
PORTDOCS= apidoc
.endif
.if defined(WITH_MEMDEBUG)
CONFIGURE_ARGS+=--enable-memtrace
.endif
.if defined(WITH_FOX16)
LIB_DEPENDS+= FOX-1.6:${PORTSDIR}/x11-toolkits/fox16
PLIST_SUB+= WITH_FOX16=""
_GWEN_GUIS+= fox16
.else
PLIST_SUB+= WITH_FOX16="@comment "
.endif
.if defined(WITH_GTK2)
USE_GNOME+= gtk20
PLIST_SUB+= WITH_GTK2=""
_GWEN_GUIS+= gtk2
.else
PLIST_SUB+= WITH_GTK2="@comment "
.endif
.if defined(WITH_QT4)
USE_QT4= gui moc_build uic_build
QT_NONSTANDARD= yes
PLIST_SUB+= WITH_QT4=""
_GWEN_GUIS+= qt4
.else
PLIST_SUB+= WITH_QT4="@comment "
.endif
post-build:
.if !defined(NOPORTDOCS) && defined(WITH_APIDOC)
@cd ${WRKSRC} && ${GMAKE} srcdoc
.endif
post-install:
.if !defined(NOPORTDOCS) && defined(WITH_APIDOC)
${MKDIR} ${DOCSDIR}/apidoc
cd ${WRKSRC}/apidoc && \
${COPYTREE_SHARE} \* ${DOCSDIR}/apidoc
.endif
.include <bsd.port.mk>
include/gwenhywfar4/gwen-gui-qt4/qt4_gui.hpp
lib/libgwengui-qt4.a
lib/libgwengui-qt4.la
lib/libgwengui-qt4.so
lib/libgwengui-qt4.so.0
libdata/pkgconfig/gwengui-qt4.pc
@dirrm include/gwenhywfar4/gwen-gui-qt4
# New ports collection makefile for: gwenhywfar
# Date created: 2005-05-05
# Whom: Peter Cornelius <pcc.at.gmx.net>
#
# $FreeBSD$
#
PORTNAME= gwenhywfar
PORTVERSION= 4.3.3
PORTREVISION= 1
PORTREVISION?= 2
CATEGORIES= devel net security
MASTER_SITES= http://www.aquamaniac.de/sites/download/download.php?package=01&release=67&file=01&dummy=/
MAINTAINER= bsdkaffee@gmail.com
COMMENT= Multi-platform helper library for networking and security applications
MAINTAINER?= bsdkaffee@gmail.com
COMMENT?= Multi-platform helper library for networking and security applications
LICENSE= LGPL21
LICENSE_FILE= ${WRKSRC}/COPYING
LIB_DEPENDS= gcrypt.18:${PORTSDIR}/security/libgcrypt \
gnutls.47:${PORTSDIR}/security/gnutls
LIB_DEPENDS= gcrypt:${PORTSDIR}/security/libgcrypt \
gnutls:${PORTSDIR}/security/gnutls
.if !defined(SLAVEPORT)
OPTIONS_DEFINE= DOC MEMDEBUG
MEMDEBUG_DESC= Enable memory debugger statistic
.endif
USE_GMAKE= yes
USE_GETTEXT= yes
USE_OPENSSL= yes
USE_PKGCONFIG= build
USE_AUTOTOOLS= libtool
USE_GNOME= gnomehack pkgconfig
OPTIONS= APIDOC "Full API documentation (requires Doxygen)" off \
MEMDEBUG "Enable memory debugger statistic" off \
FOX16 "Build FOX 1.6 GUI" off \
GTK2 "Build GTK 2.x GUI (for GnuCash)" on \
QT4 "Build Qt 4.x GUI (for KMyMoney)" on
USE_GNOME= gnomehack
GNU_CONFIGURE= yes
CONFIGURE_ARGS= --enable-release="yes" \
--with-guis="${_GWEN_GUIS}"
CPPFLAGS+= -I${LOCALBASE}/include ${PTHREAD_CFLAGS}
LDFLAGS+= -L${LOCALBASE}/lib ${PTHREAD_LIBS}
--with-guis="${SLAVEPORT}"
CPPFLAGS+= -DGCRYPT_NO_DEPRECATED
MAKE_JOBS_SAFE= yes
PLIST_SUB= GWEN_SHLIB_VER="${GWEN_SHLIB_VER}"
......@@ -46,49 +40,51 @@ GWEN_SHLIB_VER= 60
.include <bsd.port.options.mk>
.if !defined(NOPORTDOCS) && defined(WITH_APIDOC)
.if ${PORT_OPTIONS:MDOC}
BUILD_DEPENDS+= doxygen:${PORTSDIR}/devel/doxygen \
dot:${PORTSDIR}/graphics/graphviz
CONFIGURE_ARGS+=--enable-full-doc
PORTDOCS= apidoc
.endif
.if defined(WITH_MEMDEBUG)
.if ${PORT_OPTIONS:MMEMDEBUG}
CONFIGURE_ARGS+=--enable-memtrace
.endif
.if defined(WITH_FOX16)
.if defined(SLAVEPORT)
LIB_DEPENDS+= gwenhywfar:${PORTSDIR}/devel/gwenhywfar
BUILD_WRKSRC= ${WRKSRC}/gui
INSTALL_WRKSRC= ${WRKSRC}/gui/${SLAVEPORT}
.if ${SLAVEPORT}=="fox16"
LIB_DEPENDS+= FOX-1.6:${PORTSDIR}/x11-toolkits/fox16
PLIST_SUB+= WITH_FOX16=""
_GWEN_GUIS+= fox16
.else
PLIST_SUB+= WITH_FOX16="@comment "
CPPFLAGS+= -I${LOCALBASE}/include ${PTHREAD_CFLAGS}
LDFLAGS+= -L${LOCALBASE}/lib ${PTHREAD_LIBS}
.endif
.if defined(WITH_GTK2)
.if ${SLAVEPORT}=="gtk2"
USE_GNOME+= gtk20
PLIST_SUB+= WITH_GTK2=""
_GWEN_GUIS+= gtk2
.else
PLIST_SUB+= WITH_GTK2="@comment "
.endif
.if defined(WITH_QT4)
.if ${SLAVEPORT}=="qt4"
USE_QT4= gui moc_build uic_build
QT_NONSTANDARD= yes
PLIST_SUB+= WITH_QT4=""
_GWEN_GUIS+= qt4
.else
PLIST_SUB+= WITH_QT4="@comment "
.endif
.endif
post-patch:
.if defined(SLAVEPORT)
@${FIND} ${BUILD_WRKSRC} -name "Makefile.in" -type f | ${XARGS} \
${REINPLACE_CMD} -e 's|[$$][(]top_builddir[)]/src/[$$][(]gwenhywfar_internal_libname[)]|$$(gwenhywfar_libs)|g'
.endif
post-build:
.if !defined(NOPORTDOCS) && defined(WITH_APIDOC)
.if ${PORT_OPTIONS:MDOC}
@cd ${WRKSRC} && ${GMAKE} srcdoc
.endif
post-install:
.if !defined(NOPORTDOCS) && defined(WITH_APIDOC)
.if ${PORT_OPTIONS:MDOC}
${MKDIR} ${DOCSDIR}/apidoc
cd ${WRKSRC}/apidoc && \
${COPYTREE_SHARE} \* ${DOCSDIR}/apidoc
......
......@@ -8,16 +8,6 @@ bin/xmlmerge
include/gwenhywfar4/gwen-gui-cpp/cppdialog.hpp
include/gwenhywfar4/gwen-gui-cpp/cppgui.hpp
include/gwenhywfar4/gwen-gui-cpp/cppwidget.hpp
%%WITH_FOX16%%include/gwenhywfar4/gwen-gui-fox16/api.h
%%WITH_FOX16%%include/gwenhywfar4/gwen-gui-fox16/cppdialog.hpp
%%WITH_FOX16%%include/gwenhywfar4/gwen-gui-fox16/cppgui.hpp
%%WITH_FOX16%%include/gwenhywfar4/gwen-gui-fox16/fox16_gui.hpp
%%WITH_FOX16%%include/gwenhywfar4/gwen-gui-fox16/fox16_htmlctx.hpp
%%WITH_FOX16%%include/gwenhywfar4/gwen-gui-fox16/fox16_htmllabel.hpp
%%WITH_FOX16%%include/gwenhywfar4/gwen-gui-fox16/fox16_htmltext.hpp
%%WITH_FOX16%%include/gwenhywfar4/gwen-gui-fox16/theme.h
%%WITH_GTK2%%include/gwenhywfar4/gwen-gui-gtk2/gtk2_gui.h
%%WITH_QT4%%include/gwenhywfar4/gwen-gui-qt4/qt4_gui.hpp
include/gwenhywfar4/gwenhywfar/args.h
include/gwenhywfar4/gwenhywfar/base64.h
include/gwenhywfar4/gwenhywfar/buffer.h
......@@ -151,25 +141,10 @@ lib/gwenhywfar/plugins/%%GWEN_SHLIB_VER%%/dbio/xmldb.la
lib/gwenhywfar/plugins/%%GWEN_SHLIB_VER%%/dbio/xmldb.so
lib/gwenhywfar/plugins/%%GWEN_SHLIB_VER%%/dbio/xmldb.so.0
lib/gwenhywfar/plugins/%%GWEN_SHLIB_VER%%/dbio/xmldb.xml
%%WITH_FOX16%%lib/libgwengui-fox16.a
%%WITH_FOX16%%lib/libgwengui-fox16.la
%%WITH_FOX16%%lib/libgwengui-fox16.so
%%WITH_FOX16%%lib/libgwengui-fox16.so.0
%%WITH_GTK2%%lib/libgwengui-gtk2.a
%%WITH_GTK2%%lib/libgwengui-gtk2.la
%%WITH_GTK2%%lib/libgwengui-gtk2.so
%%WITH_GTK2%%lib/libgwengui-gtk2.so.0
%%WITH_QT4%%lib/libgwengui-qt4.a
%%WITH_QT4%%lib/libgwengui-qt4.la
%%WITH_QT4%%lib/libgwengui-qt4.so
%%WITH_QT4%%lib/libgwengui-qt4.so.0
lib/libgwenhywfar.a
lib/libgwenhywfar.la
lib/libgwenhywfar.so
lib/libgwenhywfar.so.63
%%WITH_FOX16%%libdata/pkgconfig/gwengui-fox16.pc
%%WITH_GTK2%%libdata/pkgconfig/gwengui-gtk2.pc
%%WITH_QT4%%libdata/pkgconfig/gwengui-qt4.pc
libdata/pkgconfig/gwenhywfar.pc
share/aclocal/gwenhywfar.m4
share/gwenhywfar/ca-bundle.crt
......@@ -206,8 +181,5 @@ share/locale/de/LC_MESSAGES/gwenhywfar.mo
@dirrm lib/gwenhywfar/plugins
@dirrm lib/gwenhywfar
@dirrm include/gwenhywfar4/gwenhywfar
%%WITH_QT4%%@dirrm include/gwenhywfar4/gwen-gui-qt4
%%WITH_GTK2%%@dirrm include/gwenhywfar4/gwen-gui-gtk2
%%WITH_FOX16%%@dirrm include/gwenhywfar4/gwen-gui-fox16
@dirrm include/gwenhywfar4/gwen-gui-cpp
@dirrm include/gwenhywfar4
# New ports collection makefile for: aqbanking
# Date created: June 2005
# Whom: Sam Lawrance <lawrance@FreeBSD.org>
#
# $FreeBSD$
#
PORTNAME= aqbanking
PORTVERSION= 5.0.23
PORTREVISION= 1
PORTVERSION= 5.0.25
CATEGORIES= finance
MASTER_SITES= http://www.aquamaniac.de/sites/download/download.php?package=03&release=93&file=01&dummy=/
MASTER_SITES= http://www.aquamaniac.de/sites/download/download.php?package=03&release=95&file=01&dummy=/
MAINTAINER= bsdkaffee@gmail.com
COMMENT= Online banking interface and financial data framework
LICENSE= GPLv2
LICENSE_FILE= ${WRKSRC}/COPYING
LICENSE= GPLv2 GPLv3
LICENSE_COMB= dual
LIB_DEPENDS= gwenhywfar.63:${PORTSDIR}/devel/gwenhywfar \
gmp.10:${PORTSDIR}/math/gmp
LIB_DEPENDS= gwenhywfar:${PORTSDIR}/devel/gwenhywfar \
gmp:${PORTSDIR}/math/gmp
OPTIONS_DEFINE= DOCS KTOBLZCHECK PAYPAL
OPTIONS_DEFAULT= KTOBLZCHECK
KTOBLZCHECK_DESC= Enable KtoBlzCheck support
PAYPAL_DESC= Build PayPal backend (separate license)
USE_GMAKE= yes
USE_GETTEXT= yes
USE_PKGCONFIG= build
USE_AUTOTOOLS= libtool
USE_GNOME= gnomehack pkgconfig
OPTIONS= APIDOC "Full API documentation (requires Doxygen)" off \
KTOBLZCHECK "KtoBlzCheck support" off \
PAYPAL "Build PayPal backend (separate license)" off
USE_GNOME= gnomehack
GNU_CONFIGURE= yes
CONFIGURE_ARGS= --enable-release="yes"
......@@ -39,23 +36,23 @@ PLIST_SUB= AQB_SHLIB_VER="${AQB_SHLIB_VER}" \
GWEN_SHLIB_VER="${GWEN_SHLIB_VER}"
USE_LDCONFIG= yes
AQB_SHLIB_VER= 33
AQB_SHLIB_VER= 34
GWEN_SHLIB_VER= 60
.include <bsd.port.options.mk>
.if !defined(NOPORTDOCS) && defined(WITH_APIDOC)
.if ${PORT_OPTIONS:MDOCS}
BUILD_DEPENDS+= doxygen:${PORTSDIR}/devel/doxygen \
dot:${PORTSDIR}/graphics/graphviz
CONFIGURE_ARGS+=--enable-full-doc
PORTDOCS= apidoc
.endif
.if defined(WITH_KTOBLZCHECK) || exists(${LOCALBASE}/lib/libktoblzcheck.so)
.if ${PORT_OPTIONS:MKTOBLZCHECK} || exists(${LOCALBASE}/lib/libktoblzcheck.so)
LIB_DEPENDS+= ktoblzcheck:${PORTSDIR}/finance/ktoblzcheck
.endif
.if defined(WITH_PAYPAL)
.if ${PORT_OPTIONS:MPAYPAL}
CONFIGURE_ARGS+=--with-backends="aqhbci aqnone aqofxconnect aqpaypal"
PLIST_SUB+= WITH_PAYPAL=""
.else
......@@ -67,12 +64,12 @@ post-patch:
${WRKSRC}/Makefile.in
post-build:
.if !defined(NOPORTDOCS) && defined(WITH_APIDOC)
.if ${PORT_OPTIONS:MDOCS}
@cd ${WRKSRC} && ${GMAKE} srcdoc
.endif
post-install:
.if !defined(NOPORTDOCS) && defined(WITH_APIDOC)
.if ${PORT_OPTIONS:MDOCS}
${MKDIR} ${DOCSDIR}/apidoc
cd ${WRKSRC}/apidoc && \
${COPYTREE_SHARE} \* ${DOCSDIR}/apidoc
......
SHA256 (aqbanking-5.0.23.tar.gz) = 04f2a9420513040b0e88c93b746d2e193985af909b58cc4ba99db56570059213
SIZE (aqbanking-5.0.23.tar.gz) = 3635384
SHA256 (aqbanking-5.0.25.tar.gz) = bb99f16704200e1ff456574b17895e04ef375479b21e075607454e6bc7c02151
SIZE (aqbanking-5.0.25.tar.gz) = 3637565
Supports Markdown
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment